<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ezm_common_bg">

    <com.ez.ertc.meeting.widget.MtTitleBar
        android:id="@+id/titleBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:ezm_tbTitle="@string/ys_mt_title_join_meeting"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="10dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:text="@string/ys_mt_join_meeting_id"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"/>
        <EditText
            android:id="@+id/etRoomId"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:background="@null"
            android:gravity="right"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:focusedByDefault="true"
            android:hint="@string/ys_mt_join_meeting_id_hint"
            android:inputType="text"
            android:singleLine="true"
            android:textColor="@color/ezm_c2"
            android:textColorHint="@color/ezm_c3"
            android:textSize="@dimen/ezm_f32" />
        <com.ez.ertc.meeting.widget.MtTextView
            android:id="@+id/iconClearId"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="16dp"
            android:visibility="invisible"
            android:textSize="16dp"
            android:textColor="@color/ezm_c4"
            android:text="@string/ezm_icon_input_clear"/>
<!--        <FrameLayout-->
<!--            android:id="@+id/flArrow"-->
<!--            android:layout_width="35dp"-->
<!--            android:layout_height="wrap_content">-->
<!--            <com.ez.ertc.meeting.widget.MtTextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:paddingLeft="10dp"-->
<!--                android:textSize="8dp"-->
<!--                android:textColor="@color/ezm_c2"-->
<!--                android:text="@string/ezm_icon_triangle"/>-->
<!--        </FrameLayout>-->
    </LinearLayout>
    <View
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/ezm_line_1px" />
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:text="@string/ys_mt_join_name"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"/>
        <EditText
            android:id="@+id/etName"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:background="@null"
            android:maxLength="100"
            android:gravity="right"
            android:hint="@string/ys_mt_join_name_hint"
            android:singleLine="true"
            android:textColor="@color/ezm_c2"
            android:textColorHint="@color/ezm_c3"
            android:textSize="@dimen/ezm_f32" />
        <com.ez.ertc.meeting.widget.MtTextView
            android:id="@+id/iconClearName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="16dp"
            android:visibility="invisible"
            android:textSize="16dp"
            android:textColor="@color/ezm_c4"
            android:text="@string/ezm_icon_input_clear"/>
    </LinearLayout>
    <Button
        android:id="@+id/btnJoin"
        style="@style/ezmButton"
        android:layout_width="match_parent"
        android:layout_marginTop="24dp"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:enabled="false"
        android:text="@string/ys_mt_title_join_meeting"/>
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="24dp"
        android:text="@string/ys_mt_join_setup_txt"
        android:textColor="@color/ezm_c3"
        android:textSize="@dimen/ezm_f28"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="10dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:text="@string/ys_mt_join_setup_audio"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"/>
        <Switch
            android:id="@+id/switchAudio"
            style="@style/ezmSwitch"
            android:layout_marginRight="19dp"
            android:checked="false"
            tools:ignore="NewApi" />
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:text="@string/ys_mt_join_setup_video"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"/>
        <Switch
            android:id="@+id/switchVideo"
            style="@style/ezmSwitch"
            android:layout_marginRight="19dp"
            android:checked="false"
            tools:ignore="NewApi" />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/llBeauty"
        style="?actionBarItemBackground"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:text="@string/ys_mt_join_setup_beauty"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="19dp"
            android:text="@string/ys_mt_join_setup_beauty_tip"
            android:textColor="@color/ezm_c3"
            android:textSize="@dimen/ezm_f28"/>
    </LinearLayout>
    <LinearLayout
        android:id="@+id/llNetwork"
        android:layout_width="match_parent"
        android:layout_marginTop="10dp"
        android:layout_height="50dp"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:foreground="?attr/selectableItemBackground">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"
            android:text="@string/ys_mt_sets_network"/>
        <com.ez.ertc.meeting.widget.MtTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c4"
            android:textSize="16dp"
            android:text="@string/ezm_icon_arrow_right"/>
    </LinearLayout>
    <LinearLayout
        android:id="@+id/llSetting"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:foreground="?attr/selectableItemBackground">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"
            android:text="@string/ys_mt_video_param_set"/>
        <com.ez.ertc.meeting.widget.MtTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c4"
            android:textSize="16dp"
            android:text="@string/ezm_icon_arrow_right"/>
    </LinearLayout>
    <LinearLayout
        android:id="@+id/llLineSelect"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:background="@color/ezm_white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:foreground="?attr/selectableItemBackground">
        <TextView
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c2"
            android:textSize="@dimen/ezm_f32"
            android:text="@string/ys_mt_line_select_set"/>
        <TextView
            android:id="@+id/tvLineId"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c4"
            android:textSize="16dp"
            tools:text="外网"/>
        <com.ez.ertc.meeting.widget.MtTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_c4"
            android:textSize="16dp"
            android:text="@string/ezm_icon_arrow_right"/>
    </LinearLayout>
</LinearLayout>